/*
* Base classes
*/

body {
    margin: 10px;
    background-color: #C4CAD3;
}

h1 {
    font-family: "Arial Black", Gadget, sans-serif;
    font-size: 24px;
    color: #333333;
    margin: 5px 0 20px;
    padding: 0 0 4px 0;
    text-transform: uppercase;
    border-bottom: 5px solid #333;
}

h2 {
    font-family: "Arial Black", Gadget, sans-serif;
    font-size: 18px;
    color: #333333;
    margin: 5px 0 20px;
    padding: 0 0 4px 0;
}

input {
    display: block;
    padding: 5px;
    margin: 5px 0 0;
    font-size: 14px;
    font-family: "Arial Black", Gadget, sans-serif;
    width: 100%;
    box-sizing: border-box; /* Ensures that the input will not extend past the input panel */
}

input[type="radio"] {
    display: inline-block;
    padding: 5px;
    margin: 5px 0 10px 5px;
    width: 10%;
}

input[type="checkbox"] {
    display: inline-block;
    padding: 5px;
    margin: 5px 0 0;
    width: 10%;
}

select[multiple] {
    height: auto;
    display: inline-block;
    padding: 5px;
    margin: 5px 0 2px 2px;
    width: 95%;
}

/* END ^^upload file input and buttons^^ */

select {
    font-size: 14px;
    display: block;
    font-family: "Arial Black", Gadget, sans-serif;
    background: #f4f4f4;
    width: 100%;
    height: 30px;
}

ul {
    margin: 0;
}

li.active a, li.active a:hover {
    background: #fdfdfd;
    color: #000000;
}

/*
* Container
*/

.container {
    box-sizing: border-box;
    display: block;
}

.container:before {
    content: "";
    display: table;
}

.container:after {
    content: "";
    display: table;
    clear: both;
}

/*
* <img>
*/

img {
    max-width: 100%;
    max-width: 600px;
    min-width: 600px;
    margin-left: 3%;
    margin-bottom: 3%;
    margin-top: 3%;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
}

/*
* Button
*/

.buttonsliced {
    display: block;
    font-size: 500%;
    padding: 1%;
    margin-top: 5%;
    margin-left: 16%;
    text-align: center;
    color: #ffffff;
    background-color: #1A6325;
    width: 83%;
    border: 5% solid;
    text-decoration: none;
}

.button:hover {
    background-color: #585858;
    cursor: pointer;
}

/*
Recommandations nutritionnelles
*/

.bloc {
    width: 83%;
    height: 80%;
    background-color: #fff;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 3%;
    margin-top: 6%;
    font-size: 200%;
    color: black;
}

.bloc-recommandation {
    width: 45%;
    height: 50%;
    background-color: #fff;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 30%;
    margin-bottom: 3%;
    margin-top: 6%;
    font-size: 100%;
    color: black;
}

.bloc-updatreutilisateur {
    width: 45%;
    height: 60%;
    background-color: #fff;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 30%;
    margin-bottom: 3%;
    margin-top: 6%;
    font-size: 100%;
    color: black;
}

.bloc-recette {
    width: 62%;
    height: 42%;
    background-color: #fff;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 1%;
    margin-top: 6%;
    font-size: 100%;
    color: black;
}

.bloc-list-recette {
    width: 20%;
    height: 35.7%;
    background-color: #fff;
    margin-left: 79%;
    margin-bottom: 1%;
    margin-top: -22.33%;
    font-size: 100%;
    color: black;
    border: 2px solid;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
}

.liste-recette {
    margin-left: 2%;
}

.button {
    display: block;
    font-size: 14px;
    padding: 8px 5px 8px 5px;
    margin: 30px;
    text-align: center;
    color: #ffffff;
    background-color: #1A6325;
    width: 31%;
    height: 20%;
    border: 1px solid;
    border-radius: 8px;
    text-decoration: none;
    font-size: 130%;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
}

.element-liste {
    display: block;
    font-size: 14px;
    padding: 8px 5px 8px 5px;
    margin: 1% 1% 1% 2%;
    text-align: center;
    color: #ffffff;
    background-color: #1A6325;
    width: 20%;
    height: 20%;
    border: 1px solid;
    border-radius: 8px;
    font-size: 110%;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
}

.enregistrer-recette {
    margin-left: 79%;
    margin-top: 0%;
    margin-bottom: 2%;
    width: 20%
}


.valider-recette {
    margin-left: 34%;
    margin-top: -6.2%;
}

.valider-recommandation {
    margin-left: 36%;
    margin-top: -8.5%;
}

.text-reco {
    text-align: center;
    font-size: 120%;
}

.text-valeur-recette {
    text-align: center;
    font-size: 120%;
    margin-bottom: 1%;
}

.quantite-en-gramme {
    margin-left: 5%;
}

.text-valeur-recommandation {
    text-align: center;
    font-size: 100%;
    margin-bottom: 1%;
}

.text-area-quantitee {
    font-size: 120%;
    margin-top: 0.5%;
    margin-bottom: 1%;
    margin-left: 5%;
}

.text-area-delete {
    font-size: 120%;
    margin-top: 0.5%;
    margin-left: 5%;
}

/*
* Panels
*/

#menu {
    left: 0;
    top: 0;
    margin-top: 0;
    position: fixed;
    -webkit-transform: translateZ(0);
    transform: translateZ(0px);
    font-size: 14px;
    font-family: "Arial Black", Gadget, sans-serif;
    color: #333333;
    background: #f4f4f4;
    padding: 10px;
    width: 280px;
    box-sizing: border-box;
    overflow: auto;
    height: 100%;
}

.content {
    padding: 0;
    box-sizing: border-box;
    margin-left: 280px;
    max-width: 100%;
}

​,
    /*
    * Bars
    */
.bar {
    fill: orange;
}

.bar:hover {
    fill: orangered;
}

.x.axis path {
    display: none;
}

/*
* Tabs
*/

.apptabs {
    width: 100%;
    display: inline-block;
}

.apptab-links:after {
    display: block;
    clear: both;
    content: '';
}

.apptab-links li {
    margin: 5px 5px;
    float: left;
    list-style: none;
}

.apptab-links a {
    padding: 6px 6px;
    display: inline-block;
    border-radius: 3px 3px 3px 3px;
    background: CornflowerBlue;
    font-size: 16px;
    min-width: 50px;
    text-align: center;
    font-weight: 600;
    color: #000000;
    text-decoration: none;
    transition: all linear 0.15s;
}

.apptab-links a:hover {
    background: #DDC4C4;
    text-decoration: none;
}

/*----- Content of Tabs -----*/
.apptab-content {
    padding: 10px;
    background: #fdfdfd;
}

.apptab {
    display: none;
}

.apptab.active {
    display: block;
}

/*----- Tabs -----*/
.tabs {
    width: 100%;
    display: inline-block;
}

/*----- Tab Links -----*/
/* Clearfix */
.tab-links:after {
    display: block;
    clear: both;
    content: '';
}

.tab-links li {
    margin: 0 5px;
    float: left;
    list-style: none;
}

.tab-links a {
    padding: 9px 15px;
    display: inline-block;
    border-radius: 3px 3px 0 0;
    background: #f4f4f4;
    font-size: 16px;
    min-width: 50px;
    text-align: center;
    font-weight: 600;
    color: #000000;
    text-decoration: none;
}

.tab-links a:hover {
    background: #585858;
    color: #FFF;
    text-decoration: none;
}

.tab-links.active a,
.tab-links.active a:hover {
    background: #fdfdfd;
    color: #000000;
}

/*----- Content of Tabs -----*/
.tab-content {
    padding: 15px;
    background: #fdfdfd;
}

.tab {
    display: none;
}

.tab.active {
    display: block;
}

/* page d'accueil */

* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}

.wrapper .header {
    z-index: 1;
    background: #22242A;
    position: fixed;
    width: calc(100% - 0%);
    height: 70px;
    display: flex;
    top: 0;
}

.wrapper .header .header-menu {
    width: calc(100% - 0%);
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px;
}

.wrapper .header .header-menu .title {
    color: #fff;
    font-size: 25px;
    text-transform: uppercase;
    font-weight: 900;
}

.wrapper .header .header-menu .title span {
    color: #1A6325;
}

.titre-accueil {
    margin-top: 4%;
    margin-left: 14%;
    color: #fff;
    font-size: 50px;
    text-transform: uppercase;
    font-weight: 900;
}

.titre-accueil span {
    color: black;
}

.texte-accueil {
    color: #fff;
    font-size: 50px;
    text-transform: uppercase;
    font-weight: 900;
}

.wrapper .header .header-menu .sidebar-btn {
    color: #fff;
    position: absolute;
    margin-left: 240px;
    font-size: 22px;
    font-weight: 900;
    cursor: pointer;
    transition: 0.3s;
    transition-property: color;
}

.wrapper .header .header-menu .sidebar-btn:hover {
    color: #678024;
}

.wrapper .header .header-menu ul {
    display: flex;
}

.wrapper .header .header-menu ul li a {
    background: #fff;
    color: #000;
    display: block;
    margin: 0 10px;
    font-size: 18px;
    width: 34px;
    height: 34px;
    line-height: 35px;
    text-align: center;
    border-radius: 50%;
    transition: 0.3s;
    transition-property: background, color;
}

.wrapper .header .header-menu ul li a:hover {
    background: #678024;
    color: #fff;
}

.wrapper .sidebar {
    z-index: 1;
    background: #21242A;
    position: fixed;
    top: 7.1%;
    width: 13%;
    height: calc(100% - 7%);
    transition: 0.3s;
    transition-property: width;
    overflow-y: auto;
}

.wrapper .sidebar .sidebar-menu {
    overflow: hidden;
}

.wrapper .sidebar .sidebar-menu .profile img {
    margin: 20px 0;
    width: 100px;
    height: 100px;
    border-radius: 50%;
}

.wrapper .sidebar .sidebar-menu .profile p {
    color: #bbb;
    font-weight: 700;
    margin-bottom: 10px;
}

.wrapper .sidebar .sidebar-menu .item {
    width: 250px;
    overflow: hidden;
}

.wrapper .sidebar .sidebar-menu .item .menu-btn {
    display: block;
    color: #fff;
    position: relative;
    padding: 25px 20px;
    transition: 0.3s;
    transition-property: color;
}

.wrapper .sidebar .sidebar-menu .item .menu-btn:hover {
    color: #678024;
}

.wrapper .sidebar .sidebar-menu .item .menu-btn i {
    margin-right: 20px;
}

.wrapper .sidebar .sidebar-menu .item .menu-btn .drop-down {
    float: right;
    font-size: 12px;
    margin-top: 3px;
}

.wrapper .sidebar .sidebar-menu .item .sub-menu {
    background: #1A6325;
    overflow: hidden;
    transition: 0.3s;
    transition-property: background, max-height;
}

.wrapper .sidebar .sidebar-menu .item .sub-menu a {
    display: block;
    position: relative;
    color: #fff;
    white-space: nowrap;
    font-size: 15px;
    padding: 20px;
    transition: 0.3s;
    transition-property: background;
}

.wrapper .sidebar .sidebar-menu .item .sub-menu a:hover {
    background: #678024;
}

.wrapper .sidebar .sidebar-menu .item .sub-menu a:not(last-child) {
    border-bottom: 1px solid #017E46;
}

.wrapper .sidebar .sidebar-menu .item .sub-menu i {
    padding-right: 20px;
    font-size: 10px;
}

.wrapper .sidebar .sidebar-menu .item:target .sub-menu {
    max-height: 500px;
}

.main-container {
    width: 100%;
    margin-top: -10%;
    margin-left: 10%;
    background: url("/static/images/background2.png") no-repeat;
    background-size: 100%;
    height: 100vh;
}

.main-container-table {
    width: (100% 250px);
    margin-top: 70px;
    margin-left: 250px;
    padding: 15px;
    background-color: #C4CBD3;
    background-size: 100%;
    height: 100vh;
    transition: 0.3s;
}

.wrapper.collapse .sidebar {
    width: 70px;
}

.wrapper.collapse .sidebar .profile img,
.wrapper.collapse .sidebar .profile p,
.wrapper.collapse .sidebar a span {
    display: none;
}

.wrapper.collapse .sidebar .sidebar-menu .item .menu-btn {
    font-size: 23px;
}

.wrapper.collapse .sidebar .sidebar-menu .item .sub-menu i {
    font-size: 18px;
    padding-left: 3px;
}

.wrapper.collapse .main-container {
    width: calc(100% - 70px);
    margin-left: 70px;
}

.card {
    margin-top: 2%;
    margin-left: 14%;
    margin-bottom: 0.5%;
    font-size: 14%;
}

.backcoloraccueil {
    background-color: #C4CBD3;
}

/* COULEUR DE FOND */

.backcolor {
    background-color: #F4F7FA;
}

/* GRAPHIQUE JS */

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
}

/* TABLE JS RECETTE */

#table_div {
    width: 83%;
    height: 40%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 3%;
    margin-top: 0%;
}

.google-visualization-table-table {
    font-family: arial, helvetica;
    font-size: 150%;
    cursor: default;
    border-spacing: 0;
    border-collapse: separate;
}

/* Histogrammes JS */

.titre-histo {
    margin-top: 5%;
    margin-left: 14%;
    font-size: 400%
}

.text-histo {
    margin-top: 1%;
    margin-left: 14%;
    font-size: 200%;
    max-width: 100%;


}

/*boucle Sass
$current-histogramme:1;
$histogrammes:100;
@while $current-histogramme <= $histogrammes {
  #histogramme#{$current-histogramme} {
    width: 40%;
    height: 80%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 16%;
	margin-bottom: 3%;
	margin-top: 3%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
  }
  $current-histogramme: $current-histogramme + 2;
}

$current-histogramme:2;
$histogrammes:100;
@while $current-histogramme <= $histogrammes {
  #histogramme#{$current-histogramme} {
    width: 40%;
    height: 80%;    
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 59%;
	margin-bottom: 3%;
	margin-top: -43.61%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
}
  $current-histogramme: $current-histogramme + 2;
}
boucle Sass*/

/* sliced JS */

/* Boucle Sass

$current-sliced:1;
$sliced:100;
@while $current-sliced <= $sliced {
  #sliced#{$current-sliced} {
    width: 40%;
    height: 80%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 16%;
	margin-bottom: 3%;
	margin-top: 3%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
  }
  $current-sliced: $current-sliced + 2;
}

$current-sliced:2;
$sliced:100;
@while $current-sliced <= $sliced {
  #sliced#{$current-sliced} {
    width: 40%;
    height: 80%;    
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 59%;
	margin-bottom: 3%;
	margin-top: -43.61%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
}
  $current-sliced: $current-sliced + 2;
}
Boucle Sass*/

/* Courbe JS */

#courbe1 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 3%;
    margin-top: 3%;
}

#courbe2 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 59%;
    margin-bottom: 3%;
    margin-top: -28.35%;
}

#courbe3 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 3%;
    margin-top: 3%;
}

#courbe4 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 59%;
    margin-bottom: 3%;
    margin-top: -28.35%;
}

#courbe5 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 16%;
    margin-bottom: 3%;
    margin-top: 3%;
}

#courbe6 {
    width: 40%;
    height: 50%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
    margin-left: 59%;
    margin-bottom: 3%;
    margin-top: -28.35%;
}

/* Diagrammes Circulaires JS */

/*boucle Sass
$current-dcirculaires:1;
$dcirculaires:100;
@while $current-dcirculaires <= $dcirculaires {
  #dcirculaires#{$current-dcirculaires} {
    width: 40%;
    height: 80%;
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 16%;
	margin-bottom: 3%;
	margin-top: 3%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
  }
  $current-dcirculaires: $current-dcirculaires + 2;
}

$current-dcirculaires:2;
$dcirculaires:100;
@while $current-dcirculaires <= $dcirculaires {
  #dcirculaires#{$current-dcirculaires} {
    width: 40%;
    height: 80%;    
    background: white;
    -webkit-filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
            filter: drop-shadow(0px 20px 8px rgba(0, 0, 0, 0.2));
	margin-left: 59%;
	margin-bottom: 3%;
	margin-top: -43.61%;
	font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, 
	Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", 
	"Segoe UI Symbol";
}
  $current-dcirculaires: $current-dcirculaires + 2;
}
boucle Sass*/

/* LOGIN */

.texttitre {
    text-align: center;
}

.texttitre-updutilisateur {
    text-align: center;
    margin-top: 6%
}

.textmail {
    margin-left: 32%;

}

.textmdp {
    margin-left: 32%;
}

.input-login {
    display: block;
    padding: 5px;
    margin-left: 32%;
    margin-bottom: 2%;
    font-size: 14px;
    font-family: "Arial Black", Gadget, sans-serif;
    width: 40%;
    box-sizing: border-box; /* Ensures that the input will not extend past the input panel */
}

.button-login {
    width: 40%;
    margin-left: 32%;
}